Bug 689023 - Can't create password policy via UI
Summary: Can't create password policy via UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-18 20:30 UTC by Rob Crittenden
Modified: 2015-01-04 23:47 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When adding a new password policy the web UI did not prompt for a required field, priority. Consequence: Adding a new policy via the UI returned an error message that a required field was missing. Fix: Make the priority a required field. Result: Adding a password policy in the Web UI correctly requires the priority so new policies may be added.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:20:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Rob Crittenden 2011-03-18 20:30:34 UTC
Description of problem:

When adding a new password policy via UI, the dialog box only asks for the policy name, it doesn't ask for the priority. The priority is actually required, so the operation will fail with this message: 'cospriority' is required.

The adding new password policy via CLI works fine as long as the priority is specified. 

https://fedorahosted.org/freeipa/ticket/1102

Comment 4 Jenny Severance 2011-09-29 20:54:09 UTC
verified :

1) added group
2) added password policy for group  adder_dialog now has Priority field
3) if you try to add a policy without setting priority "Required Field* is displayed

version : ipa-server-2.1.1-4.el6.x86_64

Comment 5 Rob Crittenden 2011-10-31 16:15:45 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When adding a new password policy the web UI did not prompt for a required field, priority.
Consequence: Adding a new policy via the UI returned an error message that a required field was missing.
Fix: Make the priority a required field.
Result: Adding a password policy in the Web UI correctly requires the priority so new policies may be added.

Comment 6 errata-xmlrpc 2011-12-06 18:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.